Skip to main content

Request Token (Refresh)

API Description

Request a new access token using the refresh_token grant type.

Pass the refresh token value, provided in the response body of an access token request, plus other required properties. In return, the system will return a new access token.

Illustration

Request

Path Template
POST {url}/api/v1/oauth2/token

Request Headers

NameInput
Content-Type
REQUIRED
Accept
OPTIONAL
Example Request Headers
Accept: application/json
Content-Type: application/json

Request Body

NameInput
client_id
REQUIRED
client_secret
REQUIRED
refresh_token
REQUIRED
grant_type
REQUIRED

Grant Type

grant_type MUST be refresh_token.

Example Request Body
{
"client_id": "29352915982374239857",
"client_secret": "e5868ebb4445fc2ad9f949956c1cb9ddefa0d421",
"refresh_token": "eGjFd3NES0Yl6Bb2fdXmZiClOvZ6HYQc77TOOMWNliJj",
"grant_type": "refresh_token"
}

Response

200 OK or Error

Response Headers

Name
content-type
Example Response Headers
HTTP/1.1 200 OK
content-type: application/json

Response Body

NameOutput
access_token
REQUIRED
expires_in
REQUIRED
token_type
REQUIRED
Example Response Body (raw JSON)
{
"access_token": "404d6d9c170ee9ae4d5b9936c73dd03c23fffff1213cb3",
"expires_in": 3600,
"token_type": "Bearer"
}